<div class="p-4 mb-4 space-y-2 border border-gray-200 rounded-md">
  <div class="flex items-center justify-between">
    @if (issue.priority === 'HIGH') { <app-tag [color]="'red'">{{ issue.priority }}</app-tag> }
    @else if(issue.priority === 'MIDDLE'){ <app-tag [color]="'blue'">{{ issue.priority }}</app-tag> }
    @else { <app-tag [color]="'grey'">{{ issue.priority }}</app-tag> }
    <app-more-option-button (updateBtnClick)="issueUpdate()" (deleteBtnClick)="issueDelete()"/>
  </div>
  <div>
    <p class="font-semibold leading-9 cursor-pointer">{{ issue.name }}</p>
    <div class="flex items-center space-x-1">
      <figure class="flex items-center">
        <button>
          <img src="/assets/icons/watch.svg" alt="option button" />
        </button>
      </figure>
      <p class="text-xs font-medium leading-6 text-gray-500">{{ issue.createdAt | date : 'yyyy.MM.dd' }}</p>
    </div>
  </div>
  <div class="flex items-center justify-between">
    <div class="flex items-center space-x-2">
      <div class="flex items-center">
        <figure><img src="/assets/icons/comment.svg" alt="" /></figure>
        <p class="text-xs font-medium leading-5 text-gray-800">{{ issue.issueCommentCount }}</p>
      </div>
      <div class="flex items-center">
        <figure><img src="/assets/icons/like.svg" alt="" /></figure>
        <p class="text-xs font-medium leading-5 text-gray-800">{{ issue.issueLikeCount }}</p>
      </div>
    </div>
    <ion-avatar class="w-6 h-6 overflow-hidden shadow-sm">
      <img alt="avatar" class="w-full h-full" [src]="issue.issueOwner.thumbnail ?? 'assets/images/avatar.png'" />
    </ion-avatar>   
  </div>
</div>
